Skip to main content
GET
/
api
/
v1
/
executions
/
{execution_id}
Error
A valid request URL is required to generate request examples
{
  "created_at": "<string>",
  "id": "<string>",
  "payload": "<unknown>",
  "retry_count": 123,
  "status": "<string>",
  "workflow_id": "<string>",
  "assigned_to_worker": "<string>",
  "batch_id": "<string>",
  "cancelled_at": "<string>",
  "cancelled_by": "<string>",
  "completed_at": "<string>",
  "concurrency_key": "<string>",
  "deployment_id": "<string>",
  "error": "<string>",
  "output_schema_name": "<string>",
  "parent_execution_id": "<string>",
  "queue_name": "<string>",
  "result": "<unknown>",
  "root_execution_id": "<string>",
  "run_timeout_seconds": 123,
  "session_id": "<string>",
  "started_at": "<string>",
  "step_key": "<string>",
  "user_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

execution_id
string
required

Execution ID

Response

Execution details

Execution details response

created_at
string
required

Creation timestamp (RFC3339)

id
string
required

Execution ID

payload
any
required

Input payload

retry_count
integer<int32>
required

Retry count

status
string
required

Execution status (pending, running, completed, failed, cancelled)

workflow_id
string
required

Workflow ID

assigned_to_worker
string | null

Assigned worker ID

batch_id
string | null

Batch ID

cancelled_at
string | null

Cancellation timestamp (RFC3339)

cancelled_by
string | null

Cancelled by (user or system)

completed_at
string | null

Completion timestamp (RFC3339)

concurrency_key
string | null

Concurrency key

deployment_id
string | null

Deployment ID

error
string | null

Error message if failed

output_schema_name
string | null

Output schema name

parent_execution_id
string | null

Parent execution ID

queue_name
string | null

Queue name

result
any

Execution result

root_execution_id
string | null

Root execution ID

run_timeout_seconds
integer<int32> | null

Timeout in seconds

session_id
string | null

Session ID

started_at
string | null

Start timestamp (RFC3339)

step_key
string | null

Step key

user_id
string | null

User ID